Api reference
Get a domain connection
Authorization
apiKeyAuth x-api-key<token>
Server-only Domain0 API key. Never expose it in browser code.
In: header
Path Parameters
connectionId*string
Length
1 <= length <= 200Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/connections/01J6F2N8H6N7M2Q4S5T6V7W8X9"{ "connection": { "id": "string", "applicationId": "string", "tenantId": "string", "intent": { "domain": "string", "records": [ { "host": "string", "type": "A", "value": "string", "ttl": 300, "priority": 0, "optional": false, "advancedDmarcOptions": { "inheritRootDmarc": false, "overrideTags": {}, "removeTags": [], "addTagsIfNotExist": {} } } ], "existingRecordPolicy": { "validateDmarc": false, "validateCAA": false } }, "effectiveIntent": { "domain": "string", "records": [ { "host": "string", "type": "A", "value": "string", "ttl": 300, "priority": 0, "optional": false } ] }, "state": "requested", "provider": { "id": "string", "name": "string", "referenceUrl": "http://example.com", "implementation": "automatic", "availableAuthorizationMethods": [ "oauth2_pkce" ], "capabilities": { "rootNSModification": "supported" }, "detection": { "method": "nameserver" }, "limitations": [ "string" ] }, "plan": { "digest": "string", "changes": [ { "action": "create", "before": { "host": "string", "type": "A", "value": "string", "ttl": 300, "priority": 0, "optional": false }, "after": { "host": "string", "type": "A", "value": "string", "ttl": 300, "priority": 0, "optional": false }, "destructive": true } ], "warnings": [ "spf_policy_replaced" ], "expiresAt": "2019-08-24T14:15:22Z" }, "failure": { "code": "provider_snapshot_timeout", "retryable": true, "resumeState": "authorized", "occurredAt": "2019-08-24T14:15:22Z" }, "optionalFailures": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" }}